org.apache.sysds.hops.estim

## Class EstimatorMatrixHistogram.MatrixHistogram

- java.lang.Object
- - org.apache.sysds.hops.estim.EstimatorMatrixHistogram.MatrixHistogram

- Enclosing class:
    EstimatorMatrixHistogram

      public static class EstimatorMatrixHistogram.MatrixHistogram
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatrixHistogram(int[] r, int[] r1e, int[] c, int[] c1e, int rmax, int cmax)`
    `MatrixHistogram(MatrixBlock in, boolean useExcepts)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataCharacteristics` | `deriveOutputCharacteristics(EstimatorMatrixHistogram.MatrixHistogram h1, EstimatorMatrixHistogram.MatrixHistogram h2, double spOut, SparsityEstimator.OpCode op, long[] misc)`
    `static EstimatorMatrixHistogram.MatrixHistogram` | `deriveOutputHistogram(EstimatorMatrixHistogram.MatrixHistogram h1, EstimatorMatrixHistogram.MatrixHistogram h2, double spOut, SparsityEstimator.OpCode op, long[] misc)`
    `int[]` | `getColCounts()`
    `int` | `getCols()`
    `long` | `getNonZeros()`
    `int[]` | `getRowCounts()`
    `int` | `getRows()`
    `void` | `setData(MatrixBlock mb)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MatrixHistogram

          public MatrixHistogram(MatrixBlock in,
                                 boolean useExcepts)

    - #### MatrixHistogram

          public MatrixHistogram(int[] r,
                                 int[] r1e,
                                 int[] c,
                                 int[] c1e,
                                 int rmax,
                                 int cmax)

  - ### Method Detail

    - #### getRows

          public int getRows()

    - #### getCols

          public int getCols()

    - #### getRowCounts

          public int[] getRowCounts()

    - #### getColCounts

          public int[] getColCounts()

    - #### getNonZeros

          public long getNonZeros()

    - #### setData

          public void setData(MatrixBlock mb)

    - #### deriveOutputHistogram

          public static EstimatorMatrixHistogram.MatrixHistogram deriveOutputHistogram(EstimatorMatrixHistogram.MatrixHistogram h1,
                                                                                       EstimatorMatrixHistogram.MatrixHistogram h2,
                                                                                       double spOut,
                                                                                       SparsityEstimator.OpCode op,
                                                                                       long[] misc)

    - #### deriveOutputCharacteristics

          public static DataCharacteristics deriveOutputCharacteristics(EstimatorMatrixHistogram.MatrixHistogram h1,
                                                                        EstimatorMatrixHistogram.MatrixHistogram h2,
                                                                        double spOut,
                                                                        SparsityEstimator.OpCode op,
                                                                        long[] misc)

Copyright © 2021 The Apache Software Foundation. All rights reserved.